Package com.google.protobuf

# Interface Message.Builder

All Superinterfaces:
  `Cloneable`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `AbstractMessage.Builder`, `Any.Builder`, `Api.Builder`, `BoolValue.Builder`, `BytesValue.Builder`, `ClientWireProtocol.AttachToQuery.Builder`, `ClientWireProtocol.Authenticator.Builder`, `ClientWireProtocol.CancelQuery.Builder`, `ClientWireProtocol.CancelQueryResponse.Builder`, `ClientWireProtocol.ClientConnection.Builder`, `ClientWireProtocol.ClientConnection2.Builder`, `ClientWireProtocol.ClientConnection2Response.Builder`, `ClientWireProtocol.ClientConnectionGCM.Builder`, `ClientWireProtocol.ClientConnectionGCM2.Builder`, `ClientWireProtocol.ClientConnectionGCM2Response.Builder`, `ClientWireProtocol.ClientConnectionGCMResponse.Builder`, `ClientWireProtocol.ClientConnectionRefreshSession.Builder`, `ClientWireProtocol.ClientConnectionRefreshSessionResponse.Builder`, `ClientWireProtocol.ClientConnectionRefreshToken.Builder`, `ClientWireProtocol.ClientConnectionRefreshTokenResponse.Builder`, `ClientWireProtocol.ClientConnectionResponse.Builder`, `ClientWireProtocol.ClientConnectionSecurityToken.Builder`, `ClientWireProtocol.ClientConnectionSecurityTokenResponse.Builder`, `ClientWireProtocol.ClientConnectionSSO.Builder`, `ClientWireProtocol.ClientConnectionSSO2.Builder`, `ClientWireProtocol.ClientConnectionSSO2Response.Builder`, `ClientWireProtocol.ClientConnectionSSOResponse.Builder`, `ClientWireProtocol.CloseConnection.Builder`, `ClientWireProtocol.CloseResultSet.Builder`, `ClientWireProtocol.ConfirmationResponse.Builder`, `ClientWireProtocol.ExecuteExplain.Builder`, `ClientWireProtocol.ExecuteExplainForSpark.Builder`, `ClientWireProtocol.ExecuteExport.Builder`, `ClientWireProtocol.ExecuteExportResponse.Builder`, `ClientWireProtocol.ExecuteInlinePlan.Builder`, `ClientWireProtocol.ExecutePlan.Builder`, `ClientWireProtocol.ExecuteQuery.Builder`, `ClientWireProtocol.ExecuteQueryResponse.Builder`, `ClientWireProtocol.ExecuteUpdate.Builder`, `ClientWireProtocol.ExecuteUpdateResponse.Builder`, `ClientWireProtocol.ExplainPipelineRequest.Builder`, `ClientWireProtocol.ExplainPipelineResponse.Builder`, `ClientWireProtocol.ExplainPlan.Builder`, `ClientWireProtocol.ExplainResponseStringPlan.Builder`, `ClientWireProtocol.FetchAuthenticators.Builder`, `ClientWireProtocol.FetchAuthenticatorsResponse.Builder`, `ClientWireProtocol.FetchData.Builder`, `ClientWireProtocol.FetchDataResponse.Builder`, `ClientWireProtocol.FetchMetadata.Builder`, `ClientWireProtocol.FetchMetadataResponse.Builder`, `ClientWireProtocol.FetchSystemMetadata.Builder`, `ClientWireProtocol.FetchSystemMetadataResponse.Builder`, `ClientWireProtocol.FetchUpdateStatus.Builder`, `ClientWireProtocol.FetchUpdateStatusResponse.Builder`, `ClientWireProtocol.ForceExternal.Builder`, `ClientWireProtocol.GetSchema.Builder`, `ClientWireProtocol.GetSchemaResponse.Builder`, `ClientWireProtocol.KillQuery.Builder`, `ClientWireProtocol.KillQueryResponse.Builder`, `ClientWireProtocol.ListPlan.Builder`, `ClientWireProtocol.ListPlanResponse.Builder`, `ClientWireProtocol.OpenIDAuthenticator.Builder`, `ClientWireProtocol.QueryConcurrencyResponse.Builder`, `ClientWireProtocol.Request.Builder`, `ClientWireProtocol.ResultSet.Builder`, `ClientWireProtocol.SecondaryInterfaceList.Builder`, `ClientWireProtocol.SecurityToken.Builder`, `ClientWireProtocol.ServerVersion.Builder`, `ClientWireProtocol.SessionInfo.Builder`, `ClientWireProtocol.SetParameter.Builder`, `ClientWireProtocol.SetParameter.Concurrency.Builder`, `ClientWireProtocol.SetParameter.ForceExternal.Builder`, `ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`, `ClientWireProtocol.SetParameter.MemoryTracing.Builder`, `ClientWireProtocol.SetParameter.Priority.Builder`, `ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder`, `ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder`, `ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder`, `ClientWireProtocol.SetParameter.RowLimit.Builder`, `ClientWireProtocol.SetParameter.ServiceClassName.Builder`, `ClientWireProtocol.SetParameter.TimeLimit.Builder`, `ClientWireProtocol.SetSchema.Builder`, `ClientWireProtocol.TestConnection.Builder`, `DescriptorProtos.DescriptorProto.Builder`, `DescriptorProtos.DescriptorProto.ExtensionRange.Builder`, `DescriptorProtos.DescriptorProto.ReservedRange.Builder`, `DescriptorProtos.EnumDescriptorProto.Builder`, `DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder`, `DescriptorProtos.EnumOptions.Builder`, `DescriptorProtos.EnumValueDescriptorProto.Builder`, `DescriptorProtos.EnumValueOptions.Builder`, `DescriptorProtos.ExtensionRangeOptions.Builder`, `DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`, `DescriptorProtos.FeatureSet.Builder`, `DescriptorProtos.FeatureSetDefaults.Builder`, `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`, `DescriptorProtos.FieldDescriptorProto.Builder`, `DescriptorProtos.FieldOptions.Builder`, `DescriptorProtos.FieldOptions.EditionDefault.Builder`, `DescriptorProtos.FieldOptions.FeatureSupport.Builder`, `DescriptorProtos.FileDescriptorProto.Builder`, `DescriptorProtos.FileDescriptorSet.Builder`, `DescriptorProtos.FileOptions.Builder`, `DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`, `DescriptorProtos.GeneratedCodeInfo.Builder`, `DescriptorProtos.MessageOptions.Builder`, `DescriptorProtos.MethodDescriptorProto.Builder`, `DescriptorProtos.MethodOptions.Builder`, `DescriptorProtos.OneofDescriptorProto.Builder`, `DescriptorProtos.OneofOptions.Builder`, `DescriptorProtos.ServiceDescriptorProto.Builder`, `DescriptorProtos.ServiceOptions.Builder`, `DescriptorProtos.SourceCodeInfo.Builder`, `DescriptorProtos.SourceCodeInfo.Location.Builder`, `DescriptorProtos.UninterpretedOption.Builder`, `DescriptorProtos.UninterpretedOption.NamePart.Builder`, `DoubleValue.Builder`, `Duration.Builder`, `DynamicMessage.Builder`, `Empty.Builder`, `Enum.Builder`, `EnumValue.Builder`, `Field.Builder`, `FieldMask.Builder`, `FloatValue.Builder`, `GeneratedMessage.Builder`, `GeneratedMessage.ExtendableBuilder`, `GeneratedMessageV3.Builder`, `GeneratedMessageV3.ExtendableBuilder`, `Int32Value.Builder`, `Int64Value.Builder`, `JavaFeaturesProto.JavaFeatures.Builder`, `ListValue.Builder`, `MapEntry.Builder`, `Method.Builder`, `Mixin.Builder`, `Option.Builder`, `PluginProtos.CodeGeneratorRequest.Builder`, `PluginProtos.CodeGeneratorResponse.Builder`, `PluginProtos.CodeGeneratorResponse.File.Builder`, `PluginProtos.Version.Builder`, `SourceContext.Builder`, `StringValue.Builder`, `Struct.Builder`, `Timestamp.Builder`, `Type.Builder`, `UInt32Value.Builder`, `UInt64Value.Builder`, `Value.Builder`

Enclosing interface:
  `Message`

public static interface Message.Builder extends MessageLite.Builder, MessageOrBuilder
Abstract interface implemented by Protocol Message builders.

## Method Summary

Modifier and Type
Method
Description
`Message.Builder`
`addRepeatedField(Descriptors.FieldDescriptor field, Object value)`
Like `setRepeatedField`, but appends the value as a new element.
`Message`
`build()`
Constructs the message based on the state of the Builder.
`Message`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Message.Builder`
`clear()`
Resets all fields to their default values.
`Message.Builder`
`clearField(Descriptors.FieldDescriptor field)`
Clears the field.
`Message.Builder`
`clearOneof(Descriptors.OneofDescriptor oneof)`
Clears the oneof.
`Message.Builder`
`clone()`
Clones the Builder.
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`Message.Builder`
`getFieldBuilder(Descriptors.FieldDescriptor field)`
Get a nested builder instance for the given field.
`Message.Builder`
`getRepeatedFieldBuilder(Descriptors.FieldDescriptor field, int index)`
Get a nested builder instance for the given repeated field instance.
`boolean`
`mergeDelimitedFrom(InputStream input)`
Like `MessageLite.Builder.mergeFrom(InputStream)`, but does not read until EOF.
`boolean`
`mergeDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeDelimitedFrom(InputStream)` but supporting extensions.
`Message.Builder`
`mergeFrom(byte[] data)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(byte[] data, int off, int len)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(byte[] data, int off, int len, ExtensionRegistryLite extensionRegistry)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(ByteString data)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
Parse `data` as a message of this type and merge it with the message being built.
`Message.Builder`
`mergeFrom(CodedInputStream input)`
Parses a message of this type from the input and merges it with this message.
`Message.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Message.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Message.Builder`
`mergeFrom(InputStream input)`
Parse a message of this type from `input` and merge it with the message being built.
`Message.Builder`
`mergeFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
Parse a message of this type from `input` and merge it with the message being built.
`Message.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Message.Builder`
`newBuilderForField(Descriptors.FieldDescriptor field)`
Create a builder for messages of the appropriate type for the given field.
`Message.Builder`
`setField(Descriptors.FieldDescriptor field, Object value)`
Sets a field to the given value.
`Message.Builder`
`setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)`
Sets an element of a repeated field to the given value.
`Message.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### clear

@CanIgnoreReturnValue Message.Builder clear()
Description copied from interface: `MessageLite.Builder`
Resets all fields to their default values.

Specified by:
  `clear` in interface `MessageLite.Builder`

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(Message other)
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(CodedInputStream input) throws IOException
Description copied from interface: `MessageLite.Builder`
Parses a message of this type from the input and merges it with this message.

Warning: This does not verify that all required fields are present in the input message. If you call `MessageLite.Builder.build()` without setting all required fields, it will throw an `UninitializedMessageException`, which is a `RuntimeException` and thus might not be caught. There are a few good ways to deal with this:

- Call `MessageLiteOrBuilder.isInitialized()` to verify that all required fields are set before building.
- Use `buildPartial()` to build, which ignores missing required fields.

Note: The caller should call `CodedInputStream.checkLastTagWas(int)` after calling this to verify that the last tag seen was the appropriate end-group tag, or zero for EOF.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Throws:
  `IOException` - an I/O error reading from the stream

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Throws:
  `IOException` - an I/O error reading from the stream

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(ByteString data) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream,ExtensionRegistryLite)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(byte[] data) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(byte[] data, int off, int len) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream,ExtensionRegistryLite)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(byte[] data, int off, int len, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException
Description copied from interface: `MessageLite.Builder`
Parse `data` as a message of this type and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream,ExtensionRegistryLite)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `InvalidProtocolBufferException` - the bytes in data are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(InputStream input) throws IOException
Description copied from interface: `MessageLite.Builder`
Parse a message of this type from `input` and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream)`. Note that this method always reads the entire input (unless it throws an exception). If you want it to stop earlier, you will need to wrap your input in some wrapper stream that limits reading. Or, use `MessageLite.writeDelimitedTo(OutputStream)` to write your message and `MessageLite.Builder.mergeDelimitedFrom(InputStream)` to read it.

Despite usually reading the entire input, this does not close the stream.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `IOException` - an I/O error reading from the stream

### mergeFrom

@CanIgnoreReturnValue Message.Builder mergeFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Parse a message of this type from `input` and merge it with the message being built. This is just a small wrapper around `MessageLite.Builder.mergeFrom(CodedInputStream,ExtensionRegistryLite)`.

Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Returns:
  this
Throws:
  `IOException`

### build

Message build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

Message buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### clone

Message.Builder clone()
Description copied from interface: `MessageLite.Builder`
Clones the Builder.

Specified by:
  `clone` in interface `MessageLite.Builder`
See Also:
  - `Object.clone()`

### getDescriptorForType

Descriptors.Descriptor getDescriptorForType()
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`

### newBuilderForField

Message.Builder newBuilderForField(Descriptors.FieldDescriptor field)
Create a builder for messages of the appropriate type for the given field. The builder is NOT nested in the current builder. However, messages built with the builder can then be passed to the `setField(Descriptors.FieldDescriptor, Object)`, `setRepeatedField(Descriptors.FieldDescriptor, int, Object)`, or `addRepeatedField(Descriptors.FieldDescriptor, Object)` method of the current builder.

To obtain a builder nested in the current builder, use `getFieldBuilder(Descriptors.FieldDescriptor)` instead.

### getFieldBuilder

Message.Builder getFieldBuilder(Descriptors.FieldDescriptor field)
Get a nested builder instance for the given field.

Normally, we hold a reference to the immutable message object for the message type field. Some implementations (the generated message builders) can also hold a reference to the builder object (a nested builder) for the field.

If the field is already backed up by a nested builder, the nested builder is returned. Otherwise, a new field builder is created and returned. The original message field (if one exists) is merged into the field builder, which is then nested into its parent builder.

### getRepeatedFieldBuilder

Message.Builder getRepeatedFieldBuilder(Descriptors.FieldDescriptor field, int index)
Get a nested builder instance for the given repeated field instance.

Normally, we hold a reference to the immutable message object for the message type field. Some implementations (the generated message builders) can also hold a reference to the builder object (a nested builder) for the field.

If the field is already backed up by a nested builder, the nested builder is returned. Otherwise, a new field builder is created and returned. The original message field (if one exists) is merged into the field builder, which is then nested into its parent builder.

### setField

@CanIgnoreReturnValue Message.Builder setField(Descriptors.FieldDescriptor field, Object value)
Sets a field to the given value. The value must be of the correct type for this field, that is, the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` returns.

### clearField

@CanIgnoreReturnValue Message.Builder clearField(Descriptors.FieldDescriptor field)
Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.

### clearOneof

@CanIgnoreReturnValue Message.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Clears the oneof. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the oneof.

### setRepeatedField

@CanIgnoreReturnValue Message.Builder setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)
Sets an element of a repeated field to the given value. The value must be of the correct type for this field; that is, the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` returns.

Throws:
  `IllegalArgumentException` - if the field is not a repeated field, or `field.getContainingType() != getDescriptorForType()`.

### addRepeatedField

@CanIgnoreReturnValue Message.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Like `setRepeatedField`, but appends the value as a new element.

Throws:
  `IllegalArgumentException` - if the field is not a repeated field, or `field.getContainingType() != getDescriptorForType()`

### setUnknownFields

@CanIgnoreReturnValue Message.Builder setUnknownFields(UnknownFieldSet unknownFields)
Set the `UnknownFieldSet` for this message.

### mergeUnknownFields

@CanIgnoreReturnValue Message.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Merge some unknown fields into the `UnknownFieldSet` for this message.

### mergeDelimitedFrom

boolean mergeDelimitedFrom(InputStream input) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(InputStream)`, but does not read until EOF. Instead, the size of the message (encoded as a varint) is read first, then the message data. Use `MessageLite.writeDelimitedTo(OutputStream)` to write messages in this format.

Specified by:
  `mergeDelimitedFrom` in interface `MessageLite.Builder`
Returns:
  true if successful, or false if the stream is at EOF when the method starts. Any other error (including reaching EOF during parsing) causes an exception to be thrown.
Throws:
  `IOException` - an I/O error reading from the stream

### mergeDelimitedFrom

boolean mergeDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeDelimitedFrom(InputStream)` but supporting extensions.

Specified by:
  `mergeDelimitedFrom` in interface `MessageLite.Builder`
Returns:
  true if successful, or false if the stream is at EOF when the method starts. Any other error (including reaching EOF during parsing) causes an exception to be thrown.
Throws:
  `IOException` - an I/O error reading from the stream